#!/bin/sh
#/*********************************************************
# * THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# * 5639-D57, 5630-A36, 5630-A37, 5724-D18 (C) COPYRIGHT International Business Machines Corp. 2005, 2005
# * All Rights Reserved * Licensed Materials - Property of IBM
# * US Government Users Restricted Rights - Use, duplication or disclosure
# * restricted by GSA ADP Schedule Contract with IBM Corp.
# *********************************************************/

printUsage() {
    echo "Usage: $0 [processSearchString1] [processSearchString2] [...]"
    echo
    echo "$0 will scan the process table using the "ps" command and count the total number of"
    echo "number of matching processes found.  Multiple search strings may be specified"
}

if [ $# -lt 1 ]; then
    printUsage
    exit -1 
fi

psTotal=0

for arg in "$@"
do
  echo "Searching process table for: $arg"
  ps -fe | grep -i $arg | grep -v $0 | grep -v grep
  psSnapshot=`ps -fe | grep -i $arg | grep -v $0 | grep -v grep`

  if [ ! -z "$psSnapShot" ] ; then
        echo "$psSnapshot"
  fi

  psCount=`ps -fe | grep -i $arg | grep -v $0 | grep -v grep | wc -l`
  echo "Found: $psCount"

  if [ $psCount -gt 0 ] 
  then 
	psTotal=`expr $psTotal + $psCount`
  fi

done

echo "=============================================================="
echo Total Processes Matched=$psTotal
exit $psTotal
